トップ 差分 一覧 ソース 検索 ヘルプ RSS ログイン

BugTrack-wiki/187

ページの作成や編集にはユーザ登録が必要です。

outlineプラグインを使用すると、同ページのcommentが全て機能しなくなる(3.5.4)

  • 投稿者: ダイス
  • カテゴリ: プラグイン
  • 優先度: 緊急
  • 状態: リリース済
  • 日時: 2004年05月18日 01時02分02秒

 内容

 wiki3.5.4を使用時、ページ中でoutlineプラグインを使用し、同ページ内のそれ以降の部分にcommentプラグインを記述すると、コメントが書き込めなくなります。特にエラーメッセージなどは出ませんが、コメントの追加が行われません。

 wiki3.5.4(新規インストール)でのみ確認しています。それ以前のバージョンでの確認はとっていません。

 コメント

  • 3.5.4のplugin/info/OutlineParser.pmへのパッチです。 - たけぞう (2004年05月19日 09時55分54秒)
81c81,84
<         return $self->SUPER::l_plugin($plugin);
---
>         my $info = $self->{wiki}->get_plugin_info($plugin->{command});
>         if($info->{FORMAT} eq "WIKI"){
>             return $self->SUPER::l_plugin($plugin);
>         }
  • 素早い対応、ありがとうございました〜。 - ダイス (2004年05月19日 10時06分48秒)
  • 3.5.5でリリースしました。 - たけぞう (2004年05月20日 07時34分09秒)
お名前: コメント:

最終更新時間:2004年05月20日 07時34分09秒